Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Service Metadata Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## bea.com/loc/metadata
element loc-metadata

Model
  `<loc-metadata>
  functions?, constraint-bindings?, services?, connection-factories?, connection-infos?, constraints?, notifications?, pipelines?, actions?, adjudicator?, metadata?
  </loc-metadata>`

Disallowed substitutions (block)
  none (extensions, restrictions and substitutions are allowed)

Substitution group exclusion (final)
  none (extensions and restrictions are allowed)

Content Type
  declared by type locMetadataType
  element-only content, not nillable.

Usage
  This element can be the root element of XML instance documents.

Documentation

      This document is used to configure the services and policies
                                     for an instance of the Liquid Operations Control (LOC) server.
                                     Services are a collection of processes that work together.
                                     The processes within a service are grouped by type. The
                                     processes (or instances) of a particaular process type
                                     are treated as homogeneous entities.

Nested Element Summary
`functionsType` | `functions` optional Function definitions which may be used when defining constraints.
`constraintsType` | `constraint-bindings` optional Globally scoped constraint bindings.
`servicesType` | `services` optional Definitions for the services managed by this LOC controller instance
`factoriesType` | `connection-factories` optional A set of factory classes for instantiating connections to some endpoint.
`connectionInfosType` | `connection-infos` optional Information needed to initialize the connection to an endpoint that will be used in a notification action.
`constraintsDefinitionType` | `constraints` optional The constraint definitions used to define policy for services managed by this LOC controller instance.
`notificationsType` | `notifications` optional Definitions for notifications that are made when actions or pipelines are executed when policy violations occur.
`pipelinesDefinitionType` | `pipelines` optional Lists of actions which may be executed as the result of a policy violation.
`actionsConfigurationType` | `actions` optional Individual actions which may be executed as the result of a policy violation.
`adjudicatorConfigurationType` | `adjudicator` optional Defines an adjudication handler for actions and pipelines.
`metadataType` | `metadata` optional Information used for starting process instances.

Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Service Metadata Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 10.3